<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// no access for non superusers/admins!
limitedAccess(ROLE_SUPERUSER);

require(CPO_BASEDIR."_include/check.php");
require(CPO_BASEDIR."_include/header.php");

$query = "SELECT name FROM ".CPO_RUBRIC." "
        ."WHERE id='".addslashes($_GET['rubric_id'])."'";
DEBUG(1, $query, __FILE__, __LINE__);
$db_3 = new DB;
$db_3->query($query);
$db_3->next_record();
$rubric_name = $db_3->v('name');

printPageHeader(
    __('Edit rubric rights'),
    sprintf(__('In this view you can edit the rights of the users for the chosen rubric %s.'), 
        '<em>'.htmlspecialchars($rubric_name, ENT_COMPAT, 'ISO-8859-15').'</em>'),
    'rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights'
);

require(CPO_BASEDIR.'_include/permission_change.php');
require(CPO_BASEDIR.'_include/user_permission.php');


require(CPO_BASEDIR.'_include/footer.php');
?>
