<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// no access for non superusers/admins!
limitedAccess(ROLE_SUPERUSER);

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

$query = "SELECT user, name FROM ".CPO_USER." "
        ."WHERE id='".addslashes($_REQUEST['user_id'])."'";
DEBUG(1, $query, __FILE__, __LINE__);
$db_3 = new DB;
$db_3->query($query);
$db_3->next_record();

printPageHeader(
    __('User rights'),
    sprintf(__('In this view you can edit the rights for the chosen user %s.'), 
        sprintf('<em>%s [%s]</em>', $db_3->v('name'), $db_3->v('user'))),
    'users-workonusers.html#users-workonusers-edituserrights'
);

if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
    require(CPO_BASEDIR.'_include/permission_change.php');
}
require(CPO_BASEDIR.'_include/form_permission.php');

require(CPO_BASEDIR.'_include/footer.php');