<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

if (!isset($message)) return;

if ((!is_array($message) && strlen($message)<=0) || 
    ( is_array($message) && count($message)<=0)) {
    return;
}

if (!is_array($message)) $message = array($message);
?>
<fieldset class="message">
    <?php 
    if (count($message)==1) {
        print('<legend>'.___('Message').'</legend>');
        foreach ($message as $v) printf('<p>%s</p>', $v);
    } else {
        print('<legend>'.___('Messages').'</legend>');
        print('<ul>');
        foreach ($message as $v) printf('<li>%s</li>', $v);
        print('</ul>');
    }
    $message = array();
    ?>
</fieldset>
<br />
