<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (function_exists('mini_info')) return; 

function mini_info($templates_id='', $commentary='', $auth='', $index='') 
{
    $query = "SELECT name FROM ".CPO_TEMPLATES." "
            ."WHERE id='".$templates_id."'";
    DEBUG(2, 'Getting article-template name.<br /><br />'.$query, __FILE__, __LINE__);
    $db_2 = new DB;
    $db_2->query($query);
    $db_2->next_record();

    print ('<img src="'.SKIN_URL.'sym_template.gif" title="'.__('Article-template:').' '.$db_2->v('name').'" alt="'.__('Article-template:').' '.$db_2->v('name').'" width="13" height="13" >&nbsp;');

    if (empty($commentary)) {
        print('<img src="'.BASE_REL.'_images/transparent.gif" alt="" width="13" height="13" >&nbsp;');
    } else {
        print('<img src="'.SKIN_URL.'sym_comment.gif" alt="'.__('Comment:').' '.htmlspecialchars($commentary, ENT_COMPAT, 'ISO-8859-15').'" title="'.__('Comment:').' '.htmlspecialchars($commentary, ENT_COMPAT, 'ISO-8859-15').'" width="13" height="13" >&nbsp;');
    }

    if (empty($auth)) {
        print ('<img src="'.BASE_REL.'_images/transparent.gif" alt="" width="13" height="13" >');
    } else {
        $auth_text = $auth;
        $auth_exploded = explode('#', $auth);
	$separator = '';
	$query_auth = '';
	foreach ($auth_exploded as $v) {
		if ($v=='') continue;
		$query_auth .= $separator.'id='.(int)$v;
		$separator = ' OR ';
	}
        $db_2->query('SELECT id, usergroup '
	                .'FROM '.CPO_USERGROUPS.' '
		            .'WHERE '.$query_auth.' '
		            .'ORDER BY usergroup');
	$separator = '';
	$auth_text = '';
	while ($db_2->next_record()) {
		$auth_text .= $separator.$db_2->v('usergroup');
		$separator = ', ';
	}
        print ('<img src="'.SKIN_URL.'sym_pers.gif" alt="'.__('personalized:').' '.$auth_text.'" title="'.__('personalized:').' '.$auth_text.'" width="13" height="13" >');
    }
    
    if (!empty($index) && $index!='zzzzzzzz')  {
        global $cpoRubricSettings;
        if ($cpoRubricSettings['edit_index']) {
            print ('<span style="font-size: 07pt"><br/>' . ___('Idx:') . ' ' . $index . '</span>');
        } else {
            print ('<img src="' . SKIN_URL . 'sym_index.gif" alt="' . ___('Index:') . ' ' . $index . '" title="' . ___('Index:') . ' ' . $index . '" width="13" height="13" >');
        }
    }
}

?>
