<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

global $_type, $fetchedcontent, $db_nr, $db_content, $content;

// check if we already tried to fetch content for this type
if (array_key_exists($_type, $fetchedcontent)) return;
$fetchedcontent[$_type] = true;

$query = sprintf("SELECT fieldname, text FROM ".CPO_CONTENT_TEXT." "
   ."WHERE article_id='%d'", $db_nr);
DEBUG(1, $query, __FILE__, __LINE__); 
$db_content->query($query);

while ($db_content->next_record()) {
    $content[$db_content->v('fieldname').' ('.$_type.')'] = array(
        'type'   =>$_type,
        'name'   =>$db_content->v('fieldname'),
        'text'   =>$db_content->v('text')
    );
}

// Usergroup-Placeholder 
if (!empty($_SESSION['SID_user']['usergroups_id'])) { 
    // user is member of group 
   $content['UserGroup'.$_SESSION['SID_user']['usergroups_id'].' (text)'] = array( 
      'type'   => 'text', 
      'name'   => 'UserGroup'.$_SESSION['SID_user']['usergroups_id'], 
      'text'   => 'UserGroup'.$_SESSION['SID_user']['usergroups_id'] 
   ); 
} 

// loggedInUser-Placeholder 
if (!empty($_SESSION['SID_log_login_id'])) { 
    // user is logged in 
   $content['loggedInUser (text)'] = array( 
      'type'   =>'text', 
      'name'   =>'loggedInUser', 
      'text'   =>'loggedInUser' 
   ); 
} 

// archive-Placeholder 
global $db_verfallsdatum;
if ($db_verfallsdatum < date('Y-m-d H:i:s') ) { 
    // this is an archived article displayed
   $content['archive (text)'] = array( 
      'type'   =>'text', 
      'name'   =>'archive', 
      'text'   =>'archive' 
   ); 
}

?>
