<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

global $content, $key, $parameters, $replacement;

$_t = $content[$key]['html'];
if (array_key_exists('strip_tags', $parameters)) {
    $_t = strip_tags($_t);
}
if (array_key_exists('htmlspecialchars', $parameters)
    && !in_array(strtolower($parameters['htmlspecialchars']), array('0', 'false', 'off'))) {
    $_t = htmlspecialchars($_t, ENT_COMPAT, 'ISO-8859-15');
}

// length
if (array_key_exists('length', $parameters)) { 
    $_t250  = substr($_t,0,$parameters['length']); 
    $lastspace = strrpos($_t250, " ");
    $_t = substr($_t250,0,$lastspace); 
} 

$replacement = $_t;