<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

// FIXME The check of the dates is so complex I don't know what happens there... redo this

$fehler = false;

if (empty($_POST['autor'])) {
    $message[] = __('Please enter the name of the author.').'<br />';
    $fehler = true;
}

if (empty($_POST['templates_id'])) {
    $message[] = __('Please choose an article-template.').'<br />';
    $fehler = true;
}

if (empty($_POST['titel'])) {
    $message[] = __('Please enter a title.').'<br />'; 
    $fehler = true;
}

$errordate = false;
$ts = mktime((int)$_POST['pub_date_hour'], (int)$_POST['pub_date_min'], 0, (int)$_POST['pub_date_month'], (int)$_POST['pub_date_day'], (int)$_POST['pub_date_year']);
$_POST['pub_datum'] = date('Y-m-d H:i:s', $ts);
if ($ts<=0) {
    $_POST['pub_datum'] = ''; 
    $message[] = __('Publication date is wrong!').'<br />'; 
    $fehler = true;
    $errordate = true;
}

if ($_POST['exp_date_hour']=='' && $_POST['exp_date_min']=='' && $_POST['exp_date_month']!='' && $_POST['exp_date_day']!='' && $_POST['exp_date_year']!='') {
    $_POST['exp_date_hour'] = 23;
    $_POST['exp_date_min']  = 59;
}

if ($_POST['exp_date_hour']=='' && $_POST['exp_date_min']=='' && $_POST['exp_date_month']!='' && $_POST['exp_date_day']!='' && $_POST['exp_date_year']=='') {
    $_POST['exp_date_hour'] = 23;
    $_POST['exp_date_min']  = 59;
    $_POST['exp_date_year'] = date('Y');
}

if ($_POST['exp_date_hour']=='' && $_POST['exp_date_min']=='' && $_POST['exp_date_month']=='' && $_POST['exp_date_day']=='' && $_POST['exp_date_year']=='') {
    $_POST['exp_date_hour']=0;
    $_POST['exp_date_min']=0;
    $_POST['exp_date_month']=1;
    $_POST['exp_date_day']=1;
    $_POST['exp_date_year']=2036;
}

$ts = mktime((int)$_POST['exp_date_hour'], (int)$_POST['exp_date_min'], 0, (int)$_POST['exp_date_month'], (int)$_POST['exp_date_day'], (int)$_POST['exp_date_year']);
$_POST['verfallsdatum'] = date('Y-m-d H:i:s', $ts);
if ($ts<=0) {
    $_POST['verfallsdatum'] = ''; 
    $message[] = __('Expiration date is wrong!').'<br />'; 
    $fehler = true;
    $errordate = true;
}

if (!$errordate && strtotime($_POST['verfallsdatum'])<strtotime($_POST['pub_datum'])) {
    $message[] = __('Publication date is after expiration date!').'<br />'; 
    $fehler = true;
}
?>
