<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

global $_type, $fetchedcontent, $db_nr, $db_content, $content;

// check if we already tried to fetch content for this type
if (array_key_exists($_type, $fetchedcontent)) return;
$fetchedcontent[$_type] = true;

$query = "SELECT fieldname, datei, beschreibung "
        ."FROM ".CPO_CONTENT_FILES.", ".CPO_DATA." "
        ."WHERE ".CPO_CONTENT_FILES.".file_id=".CPO_DATA.".id "
        ."AND article_id='".$db_nr."' ";
DEBUG(1, $query, __FILE__, __LINE__); 
$db_content->query($query);

while ($db_content->next_record()) {
    $f = CPO_BASEDIR.'_data/'.$db_content->v('datei');
    if (!is_readable($f) || !file_exists($f)) continue;

    $fileSize = @filesize($f);
    // if (!$fileSize) continue; // the file is empty?

    $content[$db_content->v('fieldname').' ('.$_type.')'] = array(
        'type'   =>$_type,
        'name'   =>$db_content->v('fieldname'),
        'file'   =>$db_content->v('datei'),
        'size'   =>$fileSize,
        'description'=>$db_content->v('beschreibung')
    );
}
?>
