<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

global $key, $placeholder, $content, $_type, $fetchedcontent, $db_nr, $db_content, $cpoSystem, $cpoRubrics, $db_rubric_id;

// fill the array for back and more urls, so they will get
// displayed even if no data is in the database
if (array_key_exists($key, $placeholder) && isset($placeholder[$key]['linktype']) && $placeholder[$key]['linktype']>0) {
    $content[$key] = array(
        'type'      =>$_type,
        'name'      =>'',
        'url'       =>'',
        'urltext'   =>'',
        'urltarget' =>'',
        'linktype'  => $placeholder[$key]['linktype']
    );
}

if (array_key_exists($_type, $fetchedcontent)) return;
$fetchedcontent[$_type] = true;

$query = sprintf("SELECT fieldname, url, urltext, urltarget FROM ".CPO_CONTENT_URLS." "
   ."WHERE article_id='%d' ", $db_nr);
DEBUG(1, $query, __FILE__, __LINE__); 
$db_content->query($query);

while ($db_content->next_record()) {
    $content[$db_content->v('fieldname').' ('.$_type.')'] = array(
        'type'      =>$_type,
        'name'      =>$db_content->v('fieldname'),
        'url'       =>$db_content->v('url'),
        'urltext'   =>$db_content->v('urltext'),
        'urltarget' =>$db_content->v('urltarget')
    );
    if (isset($placeholder[$db_content->v('fieldname').' ('.$_type.')']['linktype']))
        $content[$db_content->v('fieldname').' ('.$_type.')']['linktype'] = $placeholder[$db_content->v('fieldname').' ('.$_type.')']['linktype'];

    /* URLs werden in parser_r_url.inc.php generiert
    switch ($placeholder[$db_content->v('fieldname').' ('.$_type.')']['linktype']) { 
    case 1: // more url
        $content[$db_content->v('fieldname').' ('.$_type.')']['url'] = 
            BASE_ABS.$cpoRubrics[$db_rubric_id]['directory'].'/detail.php?rubric='.$db_rubric_id.'&nr='.$db_nr.'&'.SID;
        if ($cpoSystem['PATH_INFO']) {
            $content[$db_content->v('fieldname').' ('.$_type.')']['url'] = 
                BASE_ABS.$cpoRubrics[$db_rubric_id]['directory'].'/detail.php/'.rawurlencode($cpoRubrics[$db_rubric_id]['name']).'/'.$db_nr.'?'.SID;
        }
        break;

    case 2: // back url
        $content[$db_content->v('fieldname').' ('.$_type.')']['url'] = 'javascript:history.back()';
        break;

    case 3: // rubric url
        $content[$db_content->v('fieldname').' ('.$_type.')']['url'] = 
            BASE_ABS.$cpoRubrics[$db_rubric_id]['directory'].'/index.php?rubric='.$db_rubric_id.'&'.SID;
        if ($cpoSystem['PATH_INFO']) {
            $content[$db_content->v('fieldname').' ('.$_type.')']['url'] = 
                BASE_ABS.$cpoRubrics[$db_rubric_id]['directory'].'/index.php/'.rawurlencode($cpoRubrics[$db_rubric_id]['name']).'/'.$db_nr.'?'.SID;
        }
        break;
    }
    */
}
?>
